jQuery(function()
{
	jQuery(".tab-nav li:first").addClass("select");            
	jQuery(".tbt").hide().filter(":first").show();  
	jQuery(".tab-nav a").click(function()
	{                     
		jQuery(".tbt").hide().filter(this.hash).show(); 
		jQuery(".tab-nav li").removeClass("select");               
		jQuery(this).parent().addClass("select");                  
		return (false);
	});
});

var checker_id = 0;
var next_id = 0;
var rid_action = 0;
var ppid = 0;

$(document).on('click', '.tab-box-select' , function()
{
	$('.tab-box-select').removeClass('tab-box-select-active');
	$('.t-box').removeClass('t-box-active');
	
	$(this).addClass('tab-box-select-active');
	$( '.t-box-' + $(this).index() ).addClass('t-box-active');
});

function code_in()
{
	var t = $('.player').val();
	var def = '.default_player';
	if( t > 0 ) def = '.default_player_wp';
	
	var b = $( def ).val();
	b = window.atob(b);
	$('.code_player').val( b );
	set_p_preview();
}

$(document).on('click', '.default_code' , function()
{
	code_in();
});

$(document).on('click', '.default_audio' , function()
{
	$('.a_inp.audio_lang option:first').prop('selected', true);
	lang_select();
	$('.a_inp.format option[value="mp3"]').prop('selected', true);
	$('.a_inp.emotion option[value="good"]').prop('selected', true);
	$('.a_inp.bitrate option[value="48000"]').prop('selected', true);
	$('.a_inp.sentence option[value="300"]').prop('selected', true);
	$('.a_inp.paragraph option[value="400"]').prop('selected', true);
	$('.a_inp.speed option[value="1"]').prop('selected', true);
	$('.a_inp.pitch option[value="0"]').prop('selected', true);
});

$(document).on('change', '.a_inp.code_player, .a_inp.code_css' , function()
{
	set_p_preview();
});

$(document).on('change', '.a_inp.player' , function()
{
	code_in();
});

function lang_select()
{
	$.ajax({
		url: "/wp-admin/admin-ajax.php",
		method: 'post',
		dataType: 'html',
		data: { action: "select_voice", country: $('.a_inp.audio_lang').val() },
		success: function(result)
		{
			$('.a_inp.audio_voice ').html(result);
		}
	});
}

$(document).on('change', '.a_inp.audio_lang' , function()
{
	lang_select();
});

$(document).on('change', '.a_inp.select_method' , function()
{
	var s = $(this).val();
	if(s > 0)
	{
		$(".vpost_select").hide();
		$(".vdoc_select").hide();
		$(".vpost_id").show();
	}
	else
	{
		$(".vpost_id").hide();
		$(".vpost_select").show();
		$(".vdoc_select").show();
	}
});

$(document).on('change', '.a_inp.doc_type' , function()
{
	var s = $(this).val();
	var option_select_page = $('.option_select_page').html();
	var option_select_post = $('.option_select_post').html();
	
	$('.multi_posts_id').html(option_select_page);
	if( s == 'post' ) $('.multi_posts_id').html(option_select_post);
});

function set_p_preview()
{
	if( $('.code_player').length > 0 )
	{
		var c = $('.code_player').val();
		var s = $('.code_css').val();
		var t = $('.player').val();
		
		var ex = $('.example_audio').val();
		c = c.replace('[AUDIO_FILE_PATH]', ex);
		
		$.ajax({
			url: "/wp-admin/admin-ajax.php",
			method: 'post',
			dataType: 'html',
			data: { action: "preview_player", c: c, s: s, t: t },
			success: function(m)
			{
				$('.code_target').html( m );
			}
		});
	}
}

function code_tab(n, a, i)
{
	$('.view_content_area_'+i).hide();
	$('.view_html_area_'+i).hide();
	$('.view_save_area_'+i).hide();
	
	if( a == 1 )
	{
		$(n).prev().removeClass('zvk-btn-active');
		$(n).next().removeClass('zvk-btn-active');
		$('.view_html_area_'+i).show();
	}
	else if( a == 0 )
	{
		$(n).next().removeClass('zvk-btn-active');
		$(n).next().next().removeClass('zvk-btn-active');
		$('.view_content_area_'+i).show();
	}
	else if( a == 2 )
	{
		$(n).prev().removeClass('zvk-btn-active');
		$(n).prev().prev().removeClass('zvk-btn-active');
		$('.view_save_area_'+i).show();
	}
	
	$(n).addClass('zvk-btn-active');
}

function get_doc()
{
	clearInterval(checker_id);
	$('.post_target').show();
	$('.sound_target').html('');
	next_id = 0;
	
	var select_method = $('.select_method').val();
	
	var post_ids = $('.ids_val').val();
	
	if( select_method == '1' && post_ids == '' ) 
	{
		alert( lang_insert_post_id );
		return false;
	}
	else if( select_method == '0' ) 
	{
		post_ids = $('.multi_posts_id').val();
		
		if( $('.multi_posts_id option:selected').size() == 0 )
		{
			alert( lang_select_docs );
			return false;
		}
	}
	
	$('.post_target').after('<input type="hidden" class="get_doc" name="action" value="get_doc">');
	
	$.ajax({
		url: "/wp-admin/admin-ajax.php",
		method: 'post',
		dataType: 'html',
		data: $('.form_' + lang_plg).serialize(),
		success: function(result)
		{
			$('.get_doc').remove();
			$('.post_target').html(result);
		}
	});
}

function remove_audio(pid)
{
	$.ajax({
		url: "/wp-admin/admin-ajax.php",
		method: 'post',
		dataType: 'html',
		data: { action: "remove_audio", pid: pid },
		success: function()
		{
			document.location.reload();
		}
	});
}

function pre_get_doc()
{
	if( $(".a_inp.set_title").val() == '0' && $(".a_inp.set_excerpt").val() == '0' && $(".a_inp.set_text").val() == '0' )
	{
		$('.a_inp.set_text option[value=1]').prop('selected', true);
	}
	get_doc();
}

function sound_process()
{
	$('.proc_ok').remove();
	if(rid_action > 0 && ppid > 0)
	{
		$('.repost_qw-'+rid_action).remove();
		$('.rid-'+rid_action).remove();
		
		var dts = $('.view_code_area.edit_area[data-ids="'+ppid+'"]').val();
		
		$('.z-loader').remove();
		$( '.rid-target-' + rid_action).html( '<img src="/wp-content/plugins/'+lang_plg+'/img/loader.gif" class="z-loader" />' );
		
		$.ajax({
			url: "/wp-admin/admin-ajax.php",
			method: 'post',
			dataType: 'json',
			data: $( '.form_' + lang_plg ).serialize() + '&action=sound_process&next_id='+ppid+'&dts='+dts+'&rid_action='+rid_action,
			success: function(m)
			{
				$('.z-loader').remove();
				
				if( m.result != '' ) $('.rid-target-' + rid_action).html( m.result );
				
				if( m.repost != '' ) $('.rid-target-' + rid_action).after( m.repost );
				
				if( m.file_src != '' ) 
				{
					$('.z-loader').remove();
					clearInterval(checker_id);
					checker_id = 0;
					load_file( '.rid-target-' + rid_action, 0 );
				}
				
				if(m.error != '') $('.snd-start').show();
			}
		});
	}
	else
	{
		if( $('.view_code_area.edit_area').eq(next_id).length > 0 )
		{
			var dts = $('.view_code_area.edit_area').eq(next_id).val();
			
			dts = dts.replace("&", "@AMP@");
			
			var id  = $('.view_code_area.edit_area').eq(next_id).attr('data-ids');
			
			$.ajax({
				url: "/wp-admin/admin-ajax.php",
				method: 'post',
				dataType: 'json',
				data: $( '.form_' + lang_plg ).serialize() + '&action=sound_process&next_id='+id+'&dts='+dts,
				success: function(m)
				{
					$('.z-loader').remove();
					$('.sound_target').append( '<img src="/wp-content/plugins/'+lang_plg+'/img/loader.gif" class="z-loader" />' );
					
					if( m.result != '' ) $('.target_sound').append( m.result );
					
					if( m.repost != '' ) $('.target_sound').append( m.repost );

					if( m.file_src != '' ) 
					{
						//$('.z-loader').remove();
						clearInterval(checker_id);
						checker_id = 0;
						load_file('.target_sound', 1);
						return;
					}
					
					if( m.next > 0 ) 
					{
						next_id++;
						$('.z-loader').remove();
					}
					
					if(m.error != '') $('.snd-start').show();
				}
			});
		}
		else
		{
			$('.z-loader').remove();
			clearInterval(checker_id);
			checker_id = 0;
			
			var re = '';
			if( $('.is_edit_page').length > 0 ) re = '<br><a href="#" onclick="document.location.reload();">'+lang_reload_page+'</a>'
			
			if( $('.zvk-error').length > 0 )
			{
				$('.target_sound').append( '<div class="proc_ok"><b>'+lang_finished_error+'</b></div>');
			}
			else
			{
				$('.target_sound').append( '<span><b>'+lang_finished+'</b></span>' + re )
			}
		}
	}
}

function load_file(target, go)
{
	var is_item = 0;
	if( $('.is_edit_page').length > 0 ) is_item = 1;
		
	$('.target_sound').append( '<div>'+lang_upload_file+'</div>' );
	$.ajax({
		url: "/wp-admin/admin-ajax.php",
		method: 'post',
		dataType: 'html',
		data: { action: "upload_audio", is_item: is_item },
		success: function(result)
		{
			$(target).append( result );
			next_id++;
			if(go) checker_id = setInterval( sound_process, 1500 );
			
			$('.snd-start').show();
		}
	});
}

function sound_start()
{
	$('.post_target').after('<input type="hidden" class="sound_start" name="action" value="sound_start">');
	
	$('.sound_target').append( '<img src="/wp-content/plugins/'+lang_plg+'/img/loader.gif" class="z-loader" />' );
	
	$('.post_target').hide();
	if( $('.is_edit_page').length > 0 ) $('.post_target').show();
	
	$("#sound_target").html('');
	$("#target_sound").html('');
	
	$('.snd-start').hide();
	
	checker_id = 0;
	next_id = 0;
	rid_action = 0;
	ppid = 0;
	
	$([document.documentElement, document.body]).animate({
        scrollTop: $("#sound_target").offset().top
    }, 300);
	
	$.ajax({
		url: "/wp-admin/admin-ajax.php",
		method: 'post',
		dataType: 'html',
		data: $( '.form_' + lang_plg ).serialize(),
		success: function(result)
		{
			$('.sound_target').html(result);
			checker_id = setInterval( sound_process, 1500 );
			
			$('.sound_target').append( '<img src="/wp-content/plugins/'+lang_plg+'/img/loader.gif" class="z-loader" />' );
		}
	});
}

$(document).on('click', '.repost_qw' , function()
{
	if( checker_id > 0 ) 
	{
		alert( lang_wait_full );
		return;
	}
	var rid = $(this).attr('data-request');
	
	$('.rid-'+rid).remove();
	rid_action = rid;
	ppid = $(this).attr('data-id');
	
	sound_process();
});


$( document ).ready(function() {
	set_p_preview();
});